Package com.macrofocus.high_d.tablelens

# Class AbstractTableLensModel<Color,O,C>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLensModel<Color,O,C>

All Implemented Interfaces:
  `TableLensModel<Color,O,C>`

Direct Known Subclasses:
  `DefaultTableLensModel`

public abstract class AbstractTableLensModel<Color,O,C> extends Object implements TableLensModel<Color,O,C>

- ## Field Summary

  ### Fields inherited from interface com.macrofocus.high_d.tablelens.TableLensModel

  `PROPERTY_SHOW_FILTERED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTableLensModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTableLensListener(TableLensListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `void`
  `removeTableLensListener(TableLensListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.tablelens.TableLensModel

  `getAxisCount, getAxisGroupModel, getColoring, getColorMapping, getFilter, getIndex, getLocation, getObject, getObjectCount, getProbing, getSelectedAxis, getSelection, getShowFiltered, getSortedRows, getVisual, setLocation, setOrder, setShowFiltered`

- ## Constructor Details

  - ### AbstractTableLensModel

    public AbstractTableLensModel()

- ## Method Details

  - ### addTableLensListener

    public void addTableLensListener(TableLensListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Specified by:
      `addTableLensListener` in interface `TableLensModel<Color,O,C>`
    Parameters:
      `listener` - the listener to add.

  - ### removeTableLensListener

    public void removeTableLensListener(TableLensListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Specified by:
      `removeTableLensListener` in interface `TableLensModel<Color,O,C>`
    Parameters:
      `listener` - the listener to remove.